tvbrowser.ui.settings

## Class BlockedPluginArrayProperty

- java.lang.Object
- - util.settings.Property
  - - tvbrowser.ui.settings.BlockedPluginArrayProperty

-     public final class BlockedPluginArrayProperty
      extends Property

  A array with the blocked plugins.
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockedPluginArrayProperty(PropertyManager manager, java.lang.String key)` Creates the blocked plugins array.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBlockedPlugin(SoftwareUpdater updater, java.lang.String pluginId, Version blockStart, Version blockEnd)` Adds a plugin to the block array.
    `void` | `clear(SoftwareUpdater updater)` Clears the blocked plugin array.
    `protected void` | `clearCache()`
    `BlockedPlugin[]` | `getBlockedPluginArray()`
    `BlockedPlugin[]` | `getNewBlockedPlugins()` Gets the plugins that were newly blocked at the last update.
    `boolean` | `isBlocked(PluginAccess plugin)`
    `boolean` | `isBlocked(java.lang.String pluginId, Version version)` (Even if the block start version is higher than 0.0.0.0, the 0.0.0.0 version will always been acknowledged as blocked.)

    - ### Methods inherited from class util.settings.Property

      `addChangeListener, fireChangeEvent, getKey, getProperty, removeChangeListener, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockedPluginArrayProperty

          public BlockedPluginArrayProperty(PropertyManager manager,
                                    java.lang.String key)

      Creates the blocked plugins array.
      Parameters:
        `manager` - Manager
        `key` - Key for this Property

  - ### Method Detail

    - #### getBlockedPluginArray

          public BlockedPlugin[] getBlockedPluginArray()

      Returns:
        The currently blocked plugins.

    - #### isBlocked

          public boolean isBlocked(PluginAccess plugin)

      Parameters:
        `plugin` - The plugin to test.
      Returns:
        `True` if the plugin is blocked.

    - #### isBlocked

          public boolean isBlocked(java.lang.String pluginId,
                          Version version)

      (Even if the block start version is higher than 0.0.0.0, the 0.0.0.0 version will always been acknowledged as blocked.)
      Parameters:
        `pluginId` - The id to test.
        `version` - The version to test.
      Returns:
        `True` if the given plugin id version combination is blocked.

    - #### addBlockedPlugin

          public void addBlockedPlugin(SoftwareUpdater updater,
                              java.lang.String pluginId,
                              Version blockStart,
                              Version blockEnd)

      Adds a plugin to the block array.

      Parameters:
        `updater` - The updater that is requesting the block.
        `pluginId` - The plugin id that should be blocked.
        `blockStart` - The version from which the block starts.
        `blockEnd` - The version to which the block reaches.

    - #### clear

          public void clear(SoftwareUpdater updater)

      Clears the blocked plugin array.
      Parameters:
        `updater` - The software updater that is requesting the clearance of the array.

    - #### clearCache

          protected void clearCache()

      Specified by:
        `clearCache` in class `Property`

    - #### getNewBlockedPlugins

          public BlockedPlugin[] getNewBlockedPlugins()

      Gets the plugins that were newly blocked at the last update.

      Returns:
        The array with the new blocked plugins.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)